package org.insa.graphs.algorithm.utils;
import java.io.IOException;

import org.insa.graphs.algorithm.shortestpath.BellmanFordAlgorithm;
import org.insa.graphs.algorithm.shortestpath.ShortestPathAlgorithm;
import org.insa.graphs.algorithm.shortestpath.ShortestPathData;

// Note : Faire l'ensemble des tests avec Bellman-Ford est long, l'algorithme étant peu efficace.

public class BellmanFordTest extends PccAlgorithmTest {
    public BellmanFordTest() throws IOException {}

    @Override
    protected ShortestPathAlgorithm createAlgorithm(ShortestPathData data) {
        return new BellmanFordAlgorithm(data);
    }
}
